/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2011, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@gmail.com
-------------------------------------------------------------------------------*/
#ifndef BSP_H
#define BSP_H
#include "LPC17xx.h"
#include <uart.h>

extern uartDev* UART0;
extern uartDev* UART1;
extern uartDev* UART2;
extern uartDev* UART3;

#define VREF0 (float)3.3

#define pll0useInternal 0
#define pll0useMainOsc 1
#define pll0useRTC 2


#define pll0setClksrc(src) if((unsigned int)(src)<3) LPC_SC->CLKSRCSEL=(src)
#define pll0getClksrc (LPC_SC->CLKSRCSEL & 3)


#define LED1_ON LPC_GPIO1->FIOPIN |= (1<<18)
#define LED2_ON LPC_GPIO1->FIOPIN |= (1<<20)
#define LED3_ON LPC_GPIO1->FIOPIN |= (1<<21)
#define LED4_ON LPC_GPIO1->FIOPIN |= (1<<23)

#define LED1_OFF LPC_GPIO1->FIOPIN &= ~(1<<18)
#define LED2_OFF LPC_GPIO1->FIOPIN &= ~(1<<20)
#define LED3_OFF LPC_GPIO1->FIOPIN &= ~(1<<21)
#define LED4_OFF LPC_GPIO1->FIOPIN &= ~(1<<23)


extern int bsp_init();

extern void bsp_GPIO_init();
extern void bsp_uart_init();
extern void consoleputc(char);
extern char consolegetc();

#endif










